Create ivr-menu
POST
/api/v1/ivr-menus
const url = 'https://example.com/api/v1/ivr-menus';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"createdAt":"2026-04-15T12:00:00Z","greeting":"example","id":"example","language":"example","name":"example","options":[{"action":"example","digit":"example","escalationPolicy":"example","label":"example","labels":{"additionalProperty":"example"},"record":true,"severity":"example","text":"example","title":"example"}],"pin":"example","tenantId":"example","trustCallerId":true,"updatedAt":"2026-04-15T12:00:00Z","version":1,"voice":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/ivr-menus \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "createdAt": "2026-04-15T12:00:00Z", "greeting": "example", "id": "example", "language": "example", "name": "example", "options": [ { "action": "example", "digit": "example", "escalationPolicy": "example", "label": "example", "labels": { "additionalProperty": "example" }, "record": true, "severity": "example", "text": "example", "title": "example" } ], "pin": "example", "tenantId": "example", "trustCallerId": true, "updatedAt": "2026-04-15T12:00:00Z", "version": 1, "voice": "example" }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
createdAt
required
string format: date-time
greeting
string
id
required
string
language
string
name
required
string
options
required
Array<object>
object
action
required
string
digit
required
string
escalationPolicy
string
label
string
labels
object
key
additional properties
string
record
boolean
severity
string
text
string
title
string
pin
string
tenantId
required
string
trustCallerId
boolean
updatedAt
required
string format: date-time
version
required
integer
voice
string
Examplegenerated
{ "createdAt": "2026-04-15T12:00:00Z", "greeting": "example", "id": "example", "language": "example", "name": "example", "options": [ { "action": "example", "digit": "example", "escalationPolicy": "example", "label": "example", "labels": { "additionalProperty": "example" }, "record": true, "severity": "example", "text": "example", "title": "example" } ], "pin": "example", "tenantId": "example", "trustCallerId": true, "updatedAt": "2026-04-15T12:00:00Z", "version": 1, "voice": "example"}Responses
Section titled “Responses”Created
Media typeapplication/json
object
createdAt
required
string format: date-time
greeting
string
id
required
string
language
string
name
required
string
options
required
Array<object>
object
action
required
string
digit
required
string
escalationPolicy
string
label
string
labels
object
key
additional properties
string
record
boolean
severity
string
text
string
title
string
pin
string
tenantId
required
string
trustCallerId
boolean
updatedAt
required
string format: date-time
version
required
integer
voice
string
Examplegenerated
{ "createdAt": "2026-04-15T12:00:00Z", "greeting": "example", "id": "example", "language": "example", "name": "example", "options": [ { "action": "example", "digit": "example", "escalationPolicy": "example", "label": "example", "labels": { "additionalProperty": "example" }, "record": true, "severity": "example", "text": "example", "title": "example" } ], "pin": "example", "tenantId": "example", "trustCallerId": true, "updatedAt": "2026-04-15T12:00:00Z", "version": 1, "voice": "example"}default
Section titled “default”Problem Details (RFC 9457)
Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}